--- src/interfaces/libpq/fe-auth.c
+++ src/interfaces/libpq/fe-auth.c
@@ -244,6 +244,11 @@
 
 #include <krb5.h>
 
+#if !defined(__COM_ERR_H) && !defined(__COM_ERR_H__)
+/* if krb5.h didn't include it already */
+#include <com_err.h>
+#endif
+
 /*
  * pg_an_to_ln -- return the local name corresponding to an authentication
  *				  name
